Bug 198182 - Should display semaphore key in hex
Should display semaphore key in hex
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: strace (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On: 198179
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 09:09 EDT by Russell Coker
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 4.5.15-1.el4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 15:41:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-07-10 09:09:05 EDT
I believe that the strace output of semget() should show the semaphore key in 
hexadecimal instead of decimal for interoperability with ipcs and ipcrm.

This bug depends on bug 198179 as I expect that you want to change this in 
Fedora or rawhide first.
Comment 1 Roland McGrath 2007-01-11 06:16:14 EST
these bugs are fixed upstream in the coming 4.5.15 release
Comment 2 Roland McGrath 2007-01-30 02:46:09 EST
This bug should be fixed in strace-4.5.15-1.el4 rpms.
Comment 3 Roland McGrath 2007-07-05 15:41:26 EDT
This was fixed in RHEL4.5

Note You need to log in before you can comment on or make changes to this bug.